Package org.eclipse.emf.cdo.common.lob

## Class CDOLobUtil

- java.lang.Object
- - org.eclipse.emf.cdo.common.lob.CDOLobUtil

-     public final class CDOLobUtil
      extends java.lang.Object

  Some useful helpers for dealing with `large objects`.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CDOBlob` | `createBlob​(byte[] id, long size)` |
    `static CDOBlobOutputStream` | `createBlobOutputStream()` |
    `static CDOClob` | `createClob​(byte[] id, long size)` |
    `static CDOClobWriter` | `createClobWriter()` |
    `static CDOBlob` | `readBlob​(org.eclipse.net4j.util.io.ExtendedDataInput in)` |
    `static CDOClob` | `readClob​(org.eclipse.net4j.util.io.ExtendedDataInput in)` |
    `static void` | `setStore​(CDOLobStore store, CDOLob<?> lob)` |
    `static void` | `write​(org.eclipse.net4j.util.io.ExtendedDataOutput out, CDOLob<?> lob)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### readBlob

          public static CDOBlob readBlob​(org.eclipse.net4j.util.io.ExtendedDataInput in)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readClob

          public static CDOClob readClob​(org.eclipse.net4j.util.io.ExtendedDataInput in)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public static void write​(org.eclipse.net4j.util.io.ExtendedDataOutput out,
                                   CDOLob<?> lob)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createBlob

          public static CDOBlob createBlob​(byte[] id,
                                           long size)

    - #### createClob

          public static CDOClob createClob​(byte[] id,
                                           long size)

    - #### createBlobOutputStream

          public static CDOBlobOutputStream createBlobOutputStream()

      Since:
        4.3

    - #### createClobWriter

          public static CDOClobWriter createClobWriter()

      Since:
        4.3

    - #### setStore

          public static void setStore​(CDOLobStore store,
                                      CDOLob<?> lob)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`